import { unsafeCSS } from 'lit';

const InterfaceLookNames = [
  "primary",
  "secondary",
  "outline",
  "placeholder",
  "positive",
  "warning",
  "danger"
];
const InterfaceLookDefaultValue = "";
function InterfaceLookCSSCreator(loopMethod) {
  return InterfaceLookNames.map((lookName) => {
    return loopMethod(unsafeCSS(lookName));
  });
}

const sizes = ["xs", "s", "m", "l", "xl"];

export { InterfaceLookCSSCreator, InterfaceLookDefaultValue, InterfaceLookNames, sizes };
